Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

...

When working with newer Android applications, you may face the following error.

 

Code Block
languagejava
INSTALL_FAILED_OLDER_SDK

 

What

...

this

...

means

...

is

...

that

...

the

...

application

...

being

...

installed

...

is

...

not

...

supported

...

by

...

that

...

Android

...

OS

...

version.

...

For

...

example,

...

an

...

application

...

build

...

for

...

Android

...

v4.4

...

may

...

not

...

run

...

on

...

Android

...

v4.0.4

You can retrieve the device logs during your session which will advise of the actual error. Please see these links on how to retrieve device logs.

Getting the Device Log in Manual Testing

Getting the Device Log in Automated Testing

When facing this issue, please contact your application developer for your client/customer/internal resource, as your application application developer would be your point of contact to resolve the problem.

...